QuantLib: CPICouponPricer Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CPICouponPricer Class Reference

base pricer for capped/floored CPI coupons N.B. vol-dependent parts are a TODO More...

`#include <ql/cashflows/cpicouponpricer.hpp>`

Inheritance diagram for CPICouponPricer:
[legend]

## Public Member Functions
| CPICouponPricer (const Handle< CPIVolatilitySurface > &capletVol=Handle< CPIVolatilitySurface >())
virtual Handle< CPIVolatilitySurface > | capletVolatility () const
virtual void | setCapletVolatility (const Handle< CPIVolatilitySurface > &capletVol)
InflationCouponPricer interface
virtual Real | swapletPrice () const
virtual Rate | swapletRate () const
virtual Real | capletPrice (Rate effectiveCap) const
virtual Rate | capletRate (Rate effectiveCap) const
virtual Real | floorletPrice (Rate effectiveFloor) const
virtual Rate | floorletRate (Rate effectiveFloor) const
virtual void | initialize (const InflationCoupon &)
Public Member Functions inherited from InflationCouponPricer
virtual void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
virtual Real | optionletPrice (Option::Type optionType, Real effStrike) const
| can replace this if really required
virtual Real | optionletPriceImp (Option::Type, Real strike, Real forward, Real stdDev) const
virtual Rate | adjustedFixing (Rate fixing=Null< Rate >()) const

## Protected Attributes
Handle< CPIVolatilitySurface > | capletVol_
| data
const CPICoupon * | coupon_
Real | gearing_
Spread | spread_
Real | discount_
Real | spreadLegValue_
Protected Attributes inherited from InflationCouponPricer
Handle< YieldTermStructure > | rateCurve_
Date | paymentDate_

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

base pricer for capped/floored CPI coupons N.B. vol-dependent parts are a TODO

Note
  this pricer can already do swaplets but to get volatility-dependent coupons you need to implement the descendents.

## Member Function Documentation

## ◆ optionletPriceImp()

virtual Real optionletPriceImp | ( | Option::Type | ,
|  | Real | strike,
|  | Real | forward,
|  | Real | stdDev
| ) |  | const
| protectedvirtual

usually only need implement this (of course they may need to re-implement initialize too ...)